/*				s p r i n t f
 *
 * Formatted output to a string. A null character will be appended
 * to the string to mark the end of string. The function returns
 * the number of bytes written to the string (excluding the null
 * character).
 *
 * Patchlevel 1.0
 *
 * Edit History:
 */

#define __NO_PROTO__
#include "stdiolib.h"
#include <varargs.h>

/*LINTLIBRARY*/
/*VARARGS2*/
/*ARGSUSED*/

int
  sprintf(va_alist)

va_dcl

{
  char       *buf;		 	/* output buffer */
  CONST char *fmt;		       	/* format */
  va_list arg;				/* argument vector */
  int result;

  va_start(arg);
  buf = va_arg(arg, char *);
  fmt = va_arg(arg, CONST char *);
  result = vsprintf(buf, fmt, arg);
  va_end(arg);

  return result;
}
